Runtime

## org.eclipse.gmf.runtime.gef.ui.palette.customize
Class PaletteCustomizerDialogEx

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.gef.ui.palette.customize.PaletteCustomizerDialog
                  org.eclipse.gmf.runtime.gef.ui.palette.customize.PaletteCustomizerDialogEx

All Implemented Interfaces:
  org.eclipse.gef.ui.palette.customize.EntryPageContainer, IShellProvider

    public class PaletteCustomizerDialogEx

extends org.eclipse.gef.ui.palette.customize.PaletteCustomizerDialog

GMF's version of the `PaletteCustomizerDialog` overridden to:

- Remove the toolbar items. We do not support creating new entries for the palette, deleting entries (because there is no way the user can get them back), and reordering entries (because how would we determine the order after the entries changed based on capability enablement?).

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.gef.ui.palette.customize.PaletteCustomizerDialog
`APPLY_ID, CLIENT_ID`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`PaletteCustomizerDialogEx(Shell shell, org.eclipse.gef.ui.palette.PaletteCustomizer customizer, org.eclipse.gef.palette.PaletteRoot root)`

Method Summary
`protected java.util.List` `createOutlineActions()`
`protected Control` `createOutlineToolBar(Composite parent)`

Methods inherited from class org.eclipse.gef.ui.palette.customize.PaletteCustomizerDialog

`buttonPressed, clearProblem, close, configureShell, createButton, createButtonsForButtonBar, createDialogArea, createOutline, createOutlineContextMenu, createOutlineTreeViewer, createPropertiesPanel, createPropertiesPanelTitle, createSectionTitle, getButton, getCustomizer, getEntryPage, getOutlineActions, getPaletteRoot, getSelectedPaletteEntry, getSelectedTreeItem, getWidget, handleApplyPressed, handleDelete, handleMoveDown, handleMoveUp, handleOutlineSelectionChanged, revertToSaved, save, setActiveEntry, setActiveEntryPage, setDefaultSelection, showProblem, updateActions`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteCustomizerDialogEx

    public PaletteCustomizerDialogEx(Shell shell,
                                     org.eclipse.gef.ui.palette.PaletteCustomizer customizer,
                                     org.eclipse.gef.palette.PaletteRoot root)

Method Detail

### createOutlineActions

    protected java.util.List createOutlineActions()

  Overrides:
    `createOutlineActions` in class `org.eclipse.gef.ui.palette.customize.PaletteCustomizerDialog`

### createOutlineToolBar

    protected Control createOutlineToolBar(Composite parent)

  Overrides:
    `createOutlineToolBar` in class `org.eclipse.gef.ui.palette.customize.PaletteCustomizerDialog`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.